clf
k=1
N=1001;
num=100;den=conv([1 1],[0.2 1]);
wcnew=6.75;
w=logspace(-2,2,N);
alpha=10^(18.8/20)
T=10/wcnew

sys(1)=tf(num,den);
sys(2)=tf(num*[T 1],conv([alpha*T 1],den));
[mag,phase]=bode(sys(k),w);
for i=1:N
    mag_bode(i)=20*log10(mag(i));
    phase_bode(i)=phase(i);
end
[w' mag_bode' phase_bode']
subplot(2,1,1)
semilogx(w, mag_bode,'-b','LineWidth',3);
axis([.01 100 -40 40])
set(gca,'GridLineStyle','-','FontName','times','FontSize',18)
set(gca,'ytick',[-60 -40 -20 0 20 40 60])
xlabel('{\omega} (rad/sec)');
ylabel('Magnitude (dB)')
grid on;
hold on

subplot(2,1,2)
semilogx(w, phase_bode,'-b','LineWidth',3);
axis([.01 100 -180 0])
set(gca,'GridLineStyle','-','FontName','times','FontSize',18)
set(gca,'ytick',[-180 -135 -90 -45 0])
xlabel('{\omega} (rad/sec)');
ylabel('Phase (degree)')
grid on;
hold on

[Gm,Pm,Wcg,Wcp]=margin(sys(k))
hold off
