clf;format shortg;
k=1;
N=1001;w=logspace(-1,4,N);
phimax=70;alpha=(1-sin(pi*phimax/180))/(1+sin(pi*phimax/180))
0.5*20*log10(1/alpha)

wmax=112;T=1/(wmax*sqrt(alpha))
sys(1)=tf(2*[1200],[1 0 -852]);
sys(2)=tf(2*1200*[T 1],conv([alpha*T 1],[1 0 -852]));
[mag,phase]=bode(sys(k),w);
for i=1:N
    mag_bode(i)=20*log10(mag(i));
    phase_bode(i)=phase(i);
end
[w' mag_bode' phase_bode']
figure(1)
subplot(2,1,1)
semilogx(w, mag_bode,'-b');
axis([.1 10000 -60 20])
set(gca,'GridLineStyle','-','FontName','times','FontSize',12)
set(gca,'ytick',[-60 -40 -20 0 20 40 60])
xlabel('{\omega} (rad/sec)');
ylabel('Magnitude (dB)')
grid on;
hold on
subplot(2,1,2)
semilogx(w, phase_bode,'-b');
axis([.1 10000 -180 -90])
set(gca,'GridLineStyle','-','FontName','times','FontSize',12)
set(gca,'ytick',[-180 -150 -120 -90])
xlabel('{\omega} (rad/sec)');
ylabel('Phase (degree)')
grid on;
hold off

[Gm,Pm,Wcg,Wcp]=margin(sys(k))



